Bug 165113 - kernel build broken when 4KSTACKS disabled
kernel build broken when 4KSTACKS disabled
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Brian Brock
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2005-08-04 10:01 EDT by Neil Horman
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:13:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix build break (2.07 KB, patch)
2005-08-04 10:01 EDT, Neil Horman
no flags Details | Diff

  None (edit)
Description Neil Horman 2005-08-04 10:01:21 EDT
Description of problem:
RHEL4 kernel will not build when CONFIG_4KSTACKS=n

Version-Release number of selected component (if applicable):
any

How reproducible:
always 

Steps to Reproduce:
1.install RHEL4 kernel src rpm
2.modify the selected pre-written config so that 4KSTACKS=n
3.build the kernel
  
Actual results:
build break

Expected results:
no build break

Additional info:
This seems to be caused by the fact that we failed to surround some irq
switching code in smp_apic_timer_interrupt and in crashdump.h with ifdef
CONFIG_4KSTACKS, as all the other stack switching code does.  While we don't
support rebuilding the kernel, conditioning this code on the CONFIG_4KSTACKS
directive does seem to be the right thing to do.
Comment 1 Neil Horman 2005-08-04 10:01:21 EDT
Created attachment 117447 [details]
patch to fix build break
Comment 6 Mike Snitzer 2005-10-21 17:44:49 EDT
Will there be a forthcoming kernel update from RedHat that includes this fix?
Comment 8 Jason Smith 2005-12-29 17:47:45 EST
We are also experiencing problems with stacked drivers & the 4kSTACKS limit that
causes kernel crashes from stack overflows under certain setups, conditions &
load.  I also need to use this patch to configure 8k kernel stacks.  Will this
be added to a future kernel update anytime soon?
Comment 10 Jason Baron 2006-04-09 18:02:21 EDT
committed in stream U4 build 34.15. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 13 Mike Gahagan 2006-06-01 10:16:11 EDT
Verified compile breakage in -34.EL :

In file included from include/asm/diskdump.h:30,
                 from kernel/dump.c:35:
include/asm/crashdump.h: In function `platform_init_stack':
include/asm/crashdump.h:51: error: invalid application of `sizeof' to incomplet
e type `irq_ctx'
....

Sucessfully built an i386 (make bzImage) kernel with 2.6.9-37.EL after turning
off 4KSTACKS.
Comment 15 Red Hat Bugzilla 2006-08-10 17:13:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html

Note You need to log in before you can comment on or make changes to this bug.